Bug 1122980 - ValueError: No description available for disk
Summary: ValueError: No description available for disk
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Samantha N. Bueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ae45fb331b4f2132c34bef7e1f8...
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2014-07-24 13:55 UTC by Michal Toman
Modified: 2015-03-23 00:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-30 17:48:06 UTC


Attachments (Terms of Use)
File: anaconda-tb (99.64 KB, text/plain)
2014-07-24 13:55 UTC, Michal Toman
no flags Details
File: anaconda.log (4.21 KB, text/plain)
2014-07-24 13:55 UTC, Michal Toman
no flags Details
File: environ (394 bytes, text/plain)
2014-07-24 13:55 UTC, Michal Toman
no flags Details
File: lsblk_output (980 bytes, text/plain)
2014-07-24 13:55 UTC, Michal Toman
no flags Details
File: nmcli_dev_list (2.12 KB, text/plain)
2014-07-24 13:55 UTC, Michal Toman
no flags Details
File: os_info (375 bytes, text/plain)
2014-07-24 13:55 UTC, Michal Toman
no flags Details
File: program.log (16.57 KB, text/plain)
2014-07-24 13:55 UTC, Michal Toman
no flags Details
File: storage.log (27.82 KB, text/plain)
2014-07-24 13:55 UTC, Michal Toman
no flags Details
File: syslog (33.90 KB, text/plain)
2014-07-24 13:55 UTC, Michal Toman
no flags Details
File: ifcfg.log (1.59 KB, text/plain)
2014-07-24 13:55 UTC, Michal Toman
no flags Details
File: packaging.log (1.34 KB, text/plain)
2014-07-24 13:55 UTC, Michal Toman
no flags Details

Description Michal Toman 2014-07-24 13:55:13 UTC
Description of problem:
Selected a virtio drive as install target on s390x

Version-Release number of selected component:
anaconda-20.25.15-1

The following was filed automatically by anaconda:
anaconda 20.25.15-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 533, in device_description
    raise ValueError("No description available for %s" % device.type)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 581, in is_valid_stage1_device
    description = self.device_description(device)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 117, in _schedulePartitions
    if storage.bootloader.is_valid_stage1_device(device, early=True):
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 315, in doAutoPartition
    _schedulePartitions(storage, disks)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 263, in execute
    doAutoPartition(storage, ksdata)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1746, in doKickstartStorage
    ksdata.autopart.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/spokes/storage.py", line 260, in execute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/spokes/storage.py", line 215, in input
    self.execute()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/simpleline/base.py", line 440, in input
    key = self._screens[-1][0].input(args, key)
ValueError: No description available for disk

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   root=live:http://s390.koji.fedoraproject.org/tree/releases/20/Fedora/s390x/os/images/install.img ip=192.168.53.2:192.168.53.1:192.168.53.1:32:s390x.kvm:eth0:none nameserver=8.8.8.8
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.s390x
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        20

Comment 1 Michal Toman 2014-07-24 13:55:15 UTC
Created attachment 920545 [details]
File: anaconda-tb

Comment 2 Michal Toman 2014-07-24 13:55:16 UTC
Created attachment 920546 [details]
File: anaconda.log

Comment 3 Michal Toman 2014-07-24 13:55:17 UTC
Created attachment 920547 [details]
File: environ

Comment 4 Michal Toman 2014-07-24 13:55:17 UTC
Created attachment 920548 [details]
File: lsblk_output

Comment 5 Michal Toman 2014-07-24 13:55:18 UTC
Created attachment 920549 [details]
File: nmcli_dev_list

Comment 6 Michal Toman 2014-07-24 13:55:19 UTC
Created attachment 920550 [details]
File: os_info

Comment 7 Michal Toman 2014-07-24 13:55:20 UTC
Created attachment 920551 [details]
File: program.log

Comment 8 Michal Toman 2014-07-24 13:55:21 UTC
Created attachment 920552 [details]
File: storage.log

Comment 9 Michal Toman 2014-07-24 13:55:22 UTC
Created attachment 920553 [details]
File: syslog

Comment 10 Michal Toman 2014-07-24 13:55:23 UTC
Created attachment 920554 [details]
File: ifcfg.log

Comment 11 Michal Toman 2014-07-24 13:55:24 UTC
Created attachment 920555 [details]
File: packaging.log

Comment 12 Samantha N. Bueno 2014-09-30 17:48:06 UTC
This should actually be fixed in master and f21-branch, see commit f9c024b1.


Note You need to log in before you can comment on or make changes to this bug.